#include<iostream>

using namespace std;

int main()
{
    int a, b, x[10][10];
    
    cin >> a >> b;
    
    for(int i = 0; i < a; i++)
    {
        for(int u = 0; u < b; u++)
        {
            cin >> x[i][u];
        }
    }
    
    cout << "-1";
    
    return 0;
}